/*   */
.kopf {
  position: sticky;
  top: 0;
  background-color: gainsboro;
  height: fit-content;
  width: auto;
}

.kopf h1 {
  font-size: 1.4em;
  font-style: italic;
  font-variant: normal;
  background-color: gainsboro;
  border-style: inset;
  padding: 0.1em;
}

.kopf p {
  font-size: 1em;
  font-style: normal;
  font-variant: normal;
  background-color: gainsboro;
  color: black;
  padding: 0.2em;
  margin-bottom: 0.1em;
}
.logo {
  width: 30px;
  vertical-align: bottom;
  margin-right: 0.5em;
}

.button-2 {
  /* Text Filiationen */
  background-color: transparent;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  font-size: medium;
  border: none;
  padding: 0;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
}

#buttons-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.treffer {
  position: fixed;
  top: 225px;
  left: 34px;
  max-height: 200px;
  overflow-y: auto;
  background: rgb(245, 244, 244);
  border: 1px solid #999;
  padding: 10px;
  font-family: Georgia, serif;
  font-size: 14px;
  z-index: 999;
  display: none;
}

.image-container {
  position: relative;
  width: 100%;
  height: 100vh;
}

.image-container img {
  display: block;
  max-width: none;
  /* verhindert automatische Skalierung */
}

.location {
  position: absolute;
  z-index: 1001;
  /* Höher als Marker */
  border-style: none;
  padding: 0px;
  margin: 0px;
  width: 9px;
  height: 9px;
  font-size: medium;
  border-radius: 50%;
}

.location:hover::after {
  content: attr(data-name) " (N°" attr(data-Nr) "), filia von " attr(data-mater) " – click für Details!";
  position: absolute;
  top: -30px;
  /*leicht oberhalb anzeigen */
  left: 0;
  background: rgba(255, 255, 255, 0.95);
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  padding: 5px;
  border: 1px solid #000;
  white-space: nowrap;
  z-index: 1002;
  /* Höher als alles andere */
  pointer-events: none;
  /* verhindert, dass das Overlay Klicks abfängt */
}

/*unklar
button.location.faded {
    opacity: 0.3;
    filter: grayscale(100%);
}*/

#markierungen_deleteBtn {
  padding: 4px 8px;
  /* kleiner, dezenter */
  background: #eee;
  /* leicht grau */
  border: 1px solid #ccc;
  /* dünne Kontur */
  border-radius: 4px;
  /* sanfte Rundung */
  cursor: pointer;
}

#markierungen_deleteBtn:hover {
  background: #e0e0e0;
  /* dezente Rückmeldung */
}

@keyframes pulse {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  50% {
    transform: scale(1.5);
    opacity: 0.6;
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

/*unklar
.active-year {
  background-color: #d4af37;
  color: #000;
  border: 2px solid #333;
  font-weight: bold;
}*/

.searchMarker {
  animation: pulse 1s infinite;
  border-radius: 50%;
}

#fixiertesDiv {
  /* fixierter Bereich, über dem Header sichtbar*/
  position: fixed;
  top: 80px;
  left: 16px;
  width: 600px;
  height: 40px;
  background-color: transparent;
  z-index: 1000;
}

/*  3*  in europa, literatur   */
.liste {
  margin-left: 1.5em;
}

.liste ul+li {
  margin-top: 0.5em;
  margin-left: 0em;
  font-size: 1em;
}
.liste li {
  list-style-type: circle;
  font-size: 14px;
}

body {
  padding: 0 1em;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  background-color: gainsboro;
}

/*
.button-container {
  position: fixed;
  bottom: 10px;
  right: 20px;
  z-index: 9999;
  display: flex;
  gap: 3px;
  background-color: rgba(255, 255, 255, 0.95);
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);
  border-radius: 6px;
  padding: 5px;
}
*/
p {
  text-align: left;
  margin-left: 1.2em;
}

i {
  font-style: italic;
}

img {
  border: 1px solid;
}

li {
  list-style-type: none;
  font-size: 1em;
}

/*
thead {
  position: sticky;
  top: 0;
  color: black;
  background-color: beige;
}

th {
  text-align: center;
}

td {
  font-size: 1em;
  vertical-align: top;
}

.button {
  background-color: bisque;
  background-color: transparent;
  color: black;
  padding: 5px 8px;
  text-decoration: none;
  border-radius: 4px;
  font-weight: normal;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease;
}

[popover] {
  padding: 0.2rem;
  overflow: unset;
}
*/
